import 'dart:io';

class ResponseException implements Exception {
  final HttpClientResponse response;
  final dynamic responseBody;
  final message;

  ResponseException({this.message = null, this.response, this.responseBody = null});

  String toString() {
    if (message == null) return "ResponseException: ${response.statusCode} ${response.reasonPhrase}";
    return "ResponseException: $message";
  }
}